import { __awaiter } from "tslib";
import { fastProgress, provideFASTDesignSystem } from '@microsoft/fast-components';
provideFASTDesignSystem().register(fastProgress());
function loadRemotes(options) {
    return __awaiter(this, void 0, void 0, function* () {
        const { registerZeroDesignSystem } = yield import(
        /* webpackMode: "lazy" */
        '@genesislcap/foundation-zero');
        return {
            ZeroDesignSystem: registerZeroDesignSystem(),
        };
    });
}
/**
 * Ensure tree shaking doesn't remove these
 * Perhaps we keep these MFs style free, ie. they need to get wrapped to have style applied. Keeping it simple for now.
 */
export { loadRemotes };
